Page MenuHomeFreeBSD

src.conf: add a WITH_DTRACE_TESTS option
ClosedPublic

Authored by markj on Jul 25 2015, 1:39 AM.

Details

Summary

This defaults to off because:

  • the test suite is not stable on !amd64
  • some of the userland DTrace test programs can only be built on head

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

markj retitled this revision from to src.conf: add a WITH_DTRACE_TESTS option.
markj edited the test plan for this revision. (Show Details)
markj added a reviewer: ngie.
markj updated this object.
gnn edited edge metadata.
This revision is now accepted and ready to land.Jul 26 2015, 9:06 PM
cddl/usr.sbin/dtrace/Makefile
27–29 ↗(On Diff #7284)

Please make this knob explicitly set to "no" if MK_TESTS == no in src.opts.mk, e.g.

$ svn diff share/mk/src.opts.mk 
Index: share/mk/src.opts.mk
===================================================================
--- share/mk/src.opts.mk	(revision 285904)
+++ share/mk/src.opts.mk	(working copy)
@@ -319,6 +319,10 @@
 MK_AUTHPF:=	no
 .endif
 
+.if ${MK_TESTS} == "no"
+MK_DTRACE_TESTS:=	no
+.endif
+
 .if ${MK_TEXTPROC} == "no"
 MK_GROFF:=	no
 .endif
markj edited edge metadata.
  • Have WITHOUT_TESTS=YES imply WITHOUT_DTRACE_TESTS=YES
This revision now requires review to proceed.Jul 30 2015, 7:24 PM
markj added inline comments.
cddl/usr.sbin/dtrace/Makefile
27–29 ↗(On Diff #7526)

Fixed, thanks.

ngie edited edge metadata.
ngie added inline comments.
tools/build/options/WITH_DTRACE_TESTS
3 ↗(On Diff #7526)

/usr/tests should be a make macro. I'll see if I can work with the doc team to add this.

This revision is now accepted and ready to land.Jul 30 2015, 8:51 PM
This revision was automatically updated to reflect the committed changes.
markj marked an inline comment as done.